Skip to main content
GET
/
commerce
/
orders
/
{orderId}
/
validationresults
Error
A valid request URL is required to generate request examples
[
  {
    "createdDate": "2023-11-07T05:31:56Z",
    "messages": [
      {
        "message": "<string>",
        "messageType": "<string>",
        "orderItemId": "<string>"
      }
    ],
    "status": "<string>",
    "validationId": "<string>",
    "validatorName": "<string>",
    "validatorType": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

orderId
string
required

Unique identifier of the order to which you want to add a note.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

createdDate
string<date-time> | null

DateTime that this validation result was created

messages
object[] | null

Messages returned by the order validator

status
string | null

Status of the order validation result. See OrderValidatorStatusConst for options.

validationId
string | null

Identifier set by the capability that states the id of this specific validation attempt

validatorName
string | null

Identifier set by the capability that states the specific name of this validator.

validatorType
string | null

Identifies the type of the validator (types are enumerated in OrderValidatorTypeConst)